import { Modal, ModalService } from '@zeedhi/common';
import { Http } from '@zeedhi/core';

export class DaysOfStockModalController {
  private daysOfStockModal!: Modal;
  
  public textTest: string = 'batata';

  public async createDaysOfStockModal() {
    this.daysOfStockModal = await ModalService.createFromJson('/modals/daysOfStockModal', true);
  }

  public destroyDaysOfStockModal() {
    this.daysOfStockModal?.destroy();
  }

  public openDaysOfStockModal() {
    this.daysOfStockModal.show();
  }

  public closeDaysOfStockModal() {
    this.daysOfStockModal.hide();
  }
  
  public text() {
    Http.get('crudN/daysOfStockGU').then((response) => {
      /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
      this.textTest = response.data.data[0].NMFILIAL;
    });
  }
}
